## About

Prometheus Agent that collects vaccination data in Ontario and exposes it

## Data

Covid Data for Ontario is retreived via the [Ontario Data Catalogue](data.ontario.ca/) which is retrieved hourly

### Poulation Data

We are using the population data from [Statistics Canada for Ontario 2020](https://www150.statcan.gc.ca/t1/tbl1/en/tv.action?pid=1710000501&pickMembers%5B0%5D=1.7&pickMembers%5B1%5D=2.1&cubeTimeFrame.startYear=2020&cubeTimeFrame.endYear=2020&referencePeriods=20200101%2C20200101)

## Running:

```bash
$ go run main.go
```

## Reading metrics

```bash
$ curl -s localhost:8080/metrics  |grep ont

# HELP ontvacstat_eligible_population Total population eligible for the vaccination
# TYPE ontvacstat_eligible_population gauge
ontvacstat_eligible_population 1.1971129e+07
# HELP ontvacstat_previous_day_doses_administered Previous day doses administered
# TYPE ontvacstat_previous_day_doses_administered gauge
ontvacstat_previous_day_doses_administered 105382
# HELP ontvacstat_total_doses_administered Total doses administered
# TYPE ontvacstat_total_doses_administered gauge
ontvacstat_total_doses_administered 2.940166e+06
# HELP ontvacstat_total_doses_in_fully_vaccinated_individuals Total doses in fully vaccinated individuals
# TYPE ontvacstat_total_doses_in_fully_vaccinated_individuals gauge
ontvacstat_total_doses_in_fully_vaccinated_individuals 657719
# HELP ontvacstat_total_individuals_fully_vaccinated Total individuals fully vaccinated
# TYPE ontvacstat_total_individuals_fully_vaccinated gauge
ontvacstat_total_individuals_fully_vaccinated 328598
```